import { convertImageToBlob } from './convertImageToBlob'

export async function downloadImage({
  url,
  width,
  height,
  filename,
  type,
}: {
  url: string
  width?: number
  height?: number
  filename: string
  type: string
}) {
  try {
    const blob = await convertImageToBlob({ url, width, height, type })

    const link = document.createElement('a')
    link.href = URL.createObjectURL(blob)
    link.download = filename
    link.click()

    URL.revokeObjectURL(link.href) // Очищаем URL после загрузки
  } catch (err) {
    console.error('Ошибка преобразования SVG в PNG:', err)
  }
}
